Public Member Functions | List of all members
clan::Circled Class Reference
clanCore Math

Circle - Double. More...

`#include <circle.h>`

Inheritance diagram for clan::Circled:

## Public Member Functions
| Circled (double x, double y, double radius)
| Circled (const Vec2< double > &p, double radius)
| Circled ()
| Circled (const Circlex< double > &copy)
Public Member Functions inherited from clan::Circlex< double >
| Circlex (doublex, doubley, doubleradius)
| Circlex (const Vec2< double > &p, doubleradius)
| Circlex ()
| Circlex (const Circlex< double > &copy)
bool | is_inside (const Vec2< double > &point)
Circlex< double > & | operator= (const Circlex< double > &copy)
| = operator. More...
bool | operator== (const Circlex< double > &circle) const
| == operator. More...
bool | operator!= (const Circlex< double > &circle) const
| != operator. More...

## Additional Inherited Members
Public Attributes inherited from clan::Circlex< double >
Vec2< double > | position
| Circle center point. More...
double | radius
| Circle radius. More...

## Detailed Description

Circle - Double.

The documentation for this class was generated from the following file:

- circle.h